$NetBSD: patch-ac,v 1.2 2006/03/30 20:57:08 jmmv Exp $

--- tools/run-with-tmp-session-bus.sh.orig	2005-03-17 18:48:29.000000000 +0100
+++ tools/run-with-tmp-session-bus.sh
@@ -1,10 +1,10 @@
-#! /bin/bash
+#! /bin/sh
 
 SCRIPTNAME=$0
 WRAPPED_SCRIPT=$1
 shift
 
-function die() 
+die() 
 {
     if ! test -z "$DBUS_SESSION_BUS_PID" ; then
         echo "killing message bus "$DBUS_SESSION_BUS_PID >&2
@@ -19,7 +19,7 @@ if test -z "$DBUS_TOP_BUILDDIR" ; then
 fi
 
 ## convenient to be able to ctrl+C without leaking the message bus process
-trap 'die "Received SIGINT"' SIGINT
+trap 'die "Received SIGINT"' INT
 
 CONFIG_FILE=./run-with-tmp-session-bus.conf
 SERVICE_DIR="$DBUS_TOP_BUILDDIR/test/data/valid-service-files"
